# Contributing to React Credit Cards
---

Hi! Thank you for your interest in participating in the React Credit Cards project. We're happy to have you here. No matter who you are or what your contributing background is, we want this to be a safe, fun place for you to help out.

**NOTE:** Please note that this project is released with a [Contributor Code of Conduct](code-of-conduct.md). By participating in this project you agree to abide by its terms.

## How do I set up for development?

Here's how you can get started developing locally:

    $ git clone git@github.com:amarofashion/react-credit-cards.git
    $ cd react-credit-cards
    $ npm install
    $ npm start

Now, if you go to localhost:3000 in your browser, you should see the demo page.

## How to contribute?

Here are the basic steps to get started contributing:

1. Fork then clone the repo and get development running on your computer. You can find instructions for setting up your development environment above.
2. Replicate the issue you're trying to fix or spec out the feature you're trying to add. Understanding the scope of what you're fixing or adding is important and upfront thought helps.
3. Change the code to fix the bug or add the feature. All changes should happen in the relevant `*.jsx` and `*.scss` files. All `*.js` files are automatically build.
4. Verify that your fix or feature works.
5. Run `npm run precommit` to lint all the files, run the tests and build the production files.
6. Commit your changes with an informative description.
7. Open a pull request to the primary repo with your new commits and a descriptive message about what the PR does.

## What can I contribute?

Check out the [issues](https://github.com/amarofashion/react-credit-cards/issues) for a comprehensive list of unfixed bugs and desired features.
